Subject: Re: [bitcoindev] The Future of Bitcoin Testnet

From: Andrew Poelstra <[email-masked]>
Date: Wed, 3 Apr 2024 19:35:29 +0000

On Wed, Apr 03, 2024 at 11:18:49AM -0700, emsit wrote:
> 
> Unfortunately, the current form of Testnet is doomed to have value, just 
> like BTC. Its scarcity makes it a valuable asset. And no reset will change 
> that. It will only result in repeated resets, multiple versions of testnet, 
> and people never learning.
> 
> When I imagine what I would have to go through to mine testnet BTC, how 
> much time and money to invest (buying/renting ASIC - CPU mining is a thing 
> of the past), and someone offered me a simpler alternative, to just buy it, 
> I probably wouldn't hesitate and would just buy it. Many people HODL 
> testnet coins precisely because it's difficult to obtain them and they 
> don't want to give them up, regardless of their economic value. People have 
> learned, CRYPTO = HODL.
> 
> In my opinion, it's more important to address the issue so that testnet 
> doesn't need to be reset. Because it angers people, even those who aren't 
> responsible and want to use it as intended. I'm afraid that after the 
> reset, mining will be very difficult, expensive, and impossible for most 
> people. Not everyone has an ASIC at home, and CPU mining is out of the 
> question. And faucets won't work. I'm also afraid that whales will emerge 
> who will mine it from the beginning while the reward is high, for worse 
> times.
> 
> I have a faucet myself and I know how my users behave, they always want 
> more, and most people HODL it. Only a negligible amount comes back to my 
> faucet. So, the idea of freely sharing is nice but unrealistic.
> 
> A reset of testnet that will be "the same" as the old one doesn't make 
> sense to me. Wouldn't it be possible to pre-mine all the coins and 
> distribute them via faucet? Or generate more than 21M? If there are a large 
> number of them, there will be enough for everyone and they will be 
> worthless.
>

The dystopia you describe is not impossible, but I think it's pretty
unlikely. It's true that most users will not be able to mine, and that
nobody will be able to CPU-mine the way you could with testnet3.

But to get from there to "the only miners will be people who are
hoarding coins to somehow force a positive price" and "there will be no
faucets at all" feels like a stretch. Especially if we had a stated
intention to reset the network every 4 or 8 years or whetever the reward
got too low. Fixed supply or not, I don't see how a network slated to be
abandoned would have a sustainable market value.

Certainly, we could try launching testnet4, and if this happens, we
could switch to testnet5 which would need some further protection.
Perhaps, as you say, it would need to be premined by somebody willing to
run a faucet, for example.

-- 
Andrew Poelstra
Director of Research, Blockstream
Email: apoelstra at wpsoftware.net
Web:   https://www.wpsoftware.net/andrew

The sun is always shining in space
    -Justin Lewis-Webster

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/Zg2vgUurs3w1LKqc%40camus.